curl -G https://api.chargeapi.co/v1/drivers \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "drv_AJASUAMPlJ1wb08CYreqlKp3VzSXyv1h",
"object": "driver",
"created": "2026-04-01T00:31:50.123Z",
"email": "example@example.com",
"fleets": ["flt_ZfAR51ZcdY4kD5iGDCoO54XxNBnvut9A"],
"license_number": null,
"metadata": {},
"name": "Example Driver",
"phone": null,
"policy_ids": ["pol_tOj9AM6C9NmHzPhe5nL2hJA6I8qxMBaH"],
"preferences": {
"charging_speed": "fast",
"currency": "eur",
"default_payment_method": null,
"max_price_per_kwh": null,
"notifications": true,
"preferred_charging_stations": ["chst_MX4W8KNDAkqQ4dsIF20bAIFP1cG8vd35"],
"preferred_cpos": ["example_operator"]
},
"status": "active",
"updated": "2026-04-01T01:31:12.889Z",
"vehicles": ["veh_R7WSj5phl1GsQShw0ZmhsXF1HpIBObAO"],
"wallet_balance": 1875
}
],
"next_page_url": "https://api.chargeapi.co/v1/drivers?page=page_7OgQMYt5hfPHsdDCa6pbupMyxLxTnoTBCsDV7Wp2rlw&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Drivers
List Drivers
curl -G https://api.chargeapi.co/v1/drivers \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "drv_AJASUAMPlJ1wb08CYreqlKp3VzSXyv1h",
"object": "driver",
"created": "2026-04-01T00:31:50.123Z",
"email": "example@example.com",
"fleets": ["flt_ZfAR51ZcdY4kD5iGDCoO54XxNBnvut9A"],
"license_number": null,
"metadata": {},
"name": "Example Driver",
"phone": null,
"policy_ids": ["pol_tOj9AM6C9NmHzPhe5nL2hJA6I8qxMBaH"],
"preferences": {
"charging_speed": "fast",
"currency": "eur",
"default_payment_method": null,
"max_price_per_kwh": null,
"notifications": true,
"preferred_charging_stations": ["chst_MX4W8KNDAkqQ4dsIF20bAIFP1cG8vd35"],
"preferred_cpos": ["example_operator"]
},
"status": "active",
"updated": "2026-04-01T01:31:12.889Z",
"vehicles": ["veh_R7WSj5phl1GsQShw0ZmhsXF1HpIBObAO"],
"wallet_balance": 1875
}
],
"next_page_url": "https://api.chargeapi.co/v1/drivers?page=page_7OgQMYt5hfPHsdDCa6pbupMyxLxTnoTBCsDV7Wp2rlw&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Returns a paginated list of driver objects. Filter by
fleet or vehicle, then follow the returned page URLs to continue through the result set.
curl -G https://api.chargeapi.co/v1/drivers \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "drv_AJASUAMPlJ1wb08CYreqlKp3VzSXyv1h",
"object": "driver",
"created": "2026-04-01T00:31:50.123Z",
"email": "example@example.com",
"fleets": ["flt_ZfAR51ZcdY4kD5iGDCoO54XxNBnvut9A"],
"license_number": null,
"metadata": {},
"name": "Example Driver",
"phone": null,
"policy_ids": ["pol_tOj9AM6C9NmHzPhe5nL2hJA6I8qxMBaH"],
"preferences": {
"charging_speed": "fast",
"currency": "eur",
"default_payment_method": null,
"max_price_per_kwh": null,
"notifications": true,
"preferred_charging_stations": ["chst_MX4W8KNDAkqQ4dsIF20bAIFP1cG8vd35"],
"preferred_cpos": ["example_operator"]
},
"status": "active",
"updated": "2026-04-01T01:31:12.889Z",
"vehicles": ["veh_R7WSj5phl1GsQShw0ZmhsXF1HpIBObAO"],
"wallet_balance": 1875
}
],
"next_page_url": "https://api.chargeapi.co/v1/drivers?page=page_7OgQMYt5hfPHsdDCa6pbupMyxLxTnoTBCsDV7Wp2rlw&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Parameters
string
Limit results to drivers attached to this fleet.
integer
Maximum number of objects to return (default 10).
string
Page token from a previous list response.
string
Limit results to drivers attached to this vehicle.
Returns
Returns a page of drivers.array of object
required
Array of driver objects.
string | null
required
URL for the next page of results, or
null when there is no next page.string | null
required
URL for the previous page of results, or
null when there is no previous page.⌘I

